Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516884 - C&U: Virtual Machine CPU States graph not showing gap collected data properly.
Summary: C&U: Virtual Machine CPU States graph not showing gap collected data properly.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Yuri Rudman
QA Contact: Nikhil Dhandre
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 13:46 UTC by Nikhil Dhandre
Modified: 2017-12-20 17:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-20 17:38:24 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
New: CFME graph snap (deleted)
2017-12-19 07:00 UTC, Nikhil Dhandre
no flags Details
New: CFME graph snap (deleted)
2017-12-19 07:09 UTC, Nikhil Dhandre
no flags Details
New: vsphere_graph_snap (deleted)
2017-12-19 07:09 UTC, Nikhil Dhandre
no flags Details
3 weeks chart (deleted)
2017-12-20 17:29 UTC, Yuri Rudman
no flags Details

Comment 5 Yuri Rudman 2017-12-13 19:23:07 UTC
Time frame interval for CFME:  starting 10/25/2017 and going 1 week back;
time interval for Vsphere: Oct 24 7:30 pm - Nov 23 5:30 PM.

There is data on CFME screenshot (one red and one blue dot) representing CPU usage for 1 day.

We need more info (db dump would help) to determine if there is bug or not

Comment 7 Nikhil Dhandre 2017-12-19 07:00:20 UTC
Created attachment 1369780 [details]
New: CFME graph snap

Comment 9 Nikhil Dhandre 2017-12-19 07:09:06 UTC
Created attachment 1369794 [details]
New: CFME graph snap

Comment 10 Nikhil Dhandre 2017-12-19 07:09:42 UTC
Created attachment 1369795 [details]
New: vsphere_graph_snap

Comment 11 Yuri Rudman 2017-12-20 17:29:41 UTC
Created attachment 1370541 [details]
3 weeks chart

Comment 12 Yuri Rudman 2017-12-20 17:35:03 UTC
Looking at time interval 12/01 - 12/18 (attached screenshot 3-weeks.png):
	
It looks like Metrics were collected properly (shown on 'CPU (Mhz)` widget) - there is the same spike to 1.1 GHz at 12/02 as on screenshot with Vsphere CPU usage.
However, roll-up process was not run for 12/01-12/11 dates.

As result, there is no data in 'metric_rollups.cpu_used_delta_summation' column, which is used in calculation of '% Used': 
>> MetricRollup.where("resource_name = 'cu-24x7' and timestamp < '2017-12-12' and cpu_used_delta_summation IS NOT NULL and cpu_used_delta_summation != 0").size
   (6.4ms)  SELECT COUNT(*) FROM "metric_rollups" WHERE (resource_name = 'cu-24x7' and timestamp < '2017-12-12' and cpu_used_delta_summation IS NOT NULL and cpu_used_delta_summation != 0)
=> 0


It does not look like bug since data for '% Used' is present on dates when roll-up was run at 12/12 - 12/18:

>> MetricRollup.where("resource_name = 'cu-24x7' and timestamp >= '2017-12-12' and cpu_used_delta_summation IS NOT NULL and cpu_used_delta_summation != 0").size
   (18.0ms)  SELECT COUNT(*) FROM "metric_rollups" WHERE (resource_name = 'cu-24x7' and timestamp >= '2017-12-12' and cpu_used_delta_summation IS NOT NULL and cpu_used_delta_summation != 0)
=> 175


Note: there is an issue with 2 lines chart, when some numbers are 0. BZ created: https://bugzilla.redhat.com/show_bug.cgi?id=1527695


Note You need to log in before you can comment on or make changes to this bug.